Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #20 (closed enhancement: fixed)

Opened 16 years ago

Last modified 16 years ago

add "raw device" equivalent

Reported by: jbicket Assigned to: jbicket
Priority: major Milestone: version 0.9.0 - move to new codebase
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: Pending:

Description

I need to add the equivalent functionality of the "raw" device to the new driver so people can send arbitrary 802.11 frames and specify the bit-rate on them.

Change History

10/24/05 12:26:00 changed by mrenzmann

  • status changed from new to assigned.
  • owner changed from jbicket to mrenzmann.

10/24/05 13:17:19 changed by br1

  • milestone changed from Code: version 1.0.0 to Code: version 0.9.0 - Port features to trunk.

10/25/05 15:26:22 changed by br1

  • status changed from assigned to new.
  • owner changed from mrenzmann to jbicket.

10/29/05 23:27:40 changed by jbicket

  • status changed from new to closed.
  • resolution set to fixed.

10/30/05 06:12:07 changed by jbicket

  • status changed from closed to reopened.
  • resolution deleted.

things included in this ticket: - allow transmissions in monitor mode (done) - allow monitor mode vaps regardless of the mode of other vaps (done) - add radiotap header options (not done)

11/04/05 22:12:16 changed by jbicket

  • status changed from reopened to closed.
  • resolution set to fixed.

fixed in rev. 1292.